

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/ext3/resize.c |    9 ++-------
 1 files changed, 2 insertions(+), 7 deletions(-)

diff -puN fs/ext3/resize.c~ext3-online-resize-warning-fix fs/ext3/resize.c
--- 25/fs/ext3/resize.c~ext3-online-resize-warning-fix	2004-06-14 00:12:35.741631976 -0700
+++ 25-akpm/fs/ext3/resize.c	2004-06-14 00:17:51.745592072 -0700
@@ -364,7 +364,6 @@ static int add_new_gdb(handle_t *handle,
 	struct super_block *sb = inode->i_sb;
 	struct ext3_super_block *es = EXT3_SB(sb)->s_es;
 	unsigned long gdb_num = input->group / EXT3_DESC_PER_BLOCK(sb);
-	unsigned long gdb_off = input->group % EXT3_DESC_PER_BLOCK(sb);
 	unsigned long gdblock = EXT3_SB(sb)->s_sbh->b_blocknr + 1 + gdb_num;
 	struct buffer_head **o_group_desc, **n_group_desc;
 	struct buffer_head *dind;
@@ -385,8 +384,8 @@ static int add_new_gdb(handle_t *handle,
 	if (EXT3_SB(sb)->s_sbh->b_blocknr !=
 	    le32_to_cpu(EXT3_SB(sb)->s_es->s_first_data_block)) {
 		ext3_warning(sb, __FUNCTION__,
-			     "won't resize using backup superblock at %lu\n",
-			     EXT3_SB(sb)->s_sbh->b_blocknr);
+			"won't resize using backup superblock at %llu\n",
+			(unsigned long long)EXT3_SB(sb)->s_sbh->b_blocknr);
 		return -EPERM;
 	}
 
@@ -446,10 +445,6 @@ static int add_new_gdb(handle_t *handle,
 	 * these blocks, because they are marked as in-use from being in the
 	 * reserved inode, and will become GDT blocks (primary and backup).
 	 */
-	/*
-	printk("removing block %d = %ld from dindir %ld[%ld]\n",
-	       ((__u32 *)(dind->b_data))[gdb_off], gdblock, dind->b_blocknr,
-	       gdb_num); */
 	data[gdb_num % EXT3_ADDR_PER_BLOCK(sb)] = 0;
 	ext3_journal_dirty_metadata(handle, dind);
 	brelse(dind);
_
